// ---------------------------------------------------------------------------
// - Predtxt.hpp                                                             -
// - afnix:txt library - predicates declaration                              -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2005 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_PREDTXT_HPP
#define  AFNIX_PREDTXT_HPP

#ifndef  AFNIX_OBJECT_HPP
#include "Object.hpp"
#endif
 
namespace afnix {
  Object* txt_patp    (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_lexp    (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_tlitp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_scanp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_hashp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_keyp    (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_md5p    (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_sha1p   (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_sha256p (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_sha384p (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_sha512p (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_aesp    (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_cifrp   (Runnable* robj, Nameset* nset, Cons* args);
  Object* txt_icfrp   (Runnable* robj, Nameset* nset, Cons* args);
}


#endif
